Bug 108785 - [patch] security/dropbear: OPTIONify and minor fix
Summary: [patch] security/dropbear: OPTIONify and minor fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Clement Laforet
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-02-05 04:40 UTC by Alex Kozlov
Modified: 2007-03-18 18:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Kozlov 2007-02-05 04:40:16 UTC
OPTIONify and minor fix

Fix: 

-.if defined(WANT_STATIC)
+OPTIONS=       STATIC  "Build statically"      off \
+
+.include <bsd.port.pre.mk>
+
+.if defined(WANT_STATIC) || defined(WITH_STATIC)
 CONFIGURE_ENV= LDFLAGS=-static
 .endif

@@ -36,9 +40,9 @@
        @${ECHO_MSG} " Now you have to create your SSH host key."
        @${ECHO_MSG} ""
        @${ECHO_MSG} " To create RSA key:"
-       @${ECHO_MSG} " ${PREFIX}/sbin/dropbearkey -t rsa -f ${PREFIX}/etc/dropbear/dropbear_rsa_host_key"
+       @${ECHO_MSG} " ${PREFIX}/bin/dropbearkey -t rsa -f ${PREFIX}/etc/dropbear/dropbear_rsa_host_key"
        @${ECHO_MSG} ""
-       @${ECHO_MSG} " For more details, run ${PREFIX}/sbin/dropbearkey -h"
+       @${ECHO_MSG} " For more details, run ${PREFIX}/bin/dropbearkey -h"
        @${ECHO_MSG} ""

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>--j9E2cYcID8yResBFSbajSkf0fkKxROaNgfSghGXH5dAlVo7A
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- security/dropbear/Makefile  Fri Nov  3 16:55:56 2006
+++ Makefile.new        Mon Feb  3 00:34:06 2007
@@ -16,7 +16,11 @@
 GNU_CONFIGURE= YES
 USE_GMAKE=     YES
Comment 1 Edwin Groothuis freebsd_committer 2007-02-05 04:40:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clement

Over to maintainer
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-02-05 12:13:00 UTC
On Mon, 5 Feb 2007 04:39:15 GMT
Alex Kozlov<spam@rm-rf.kiev.ua> wrote:

> -.if defined(WANT_STATIC)
> +OPTIONS=       STATIC  "Build statically"      off \
> +
> +.include <bsd.port.pre.mk>
> +
> +.if defined(WANT_STATIC) || defined(WITH_STATIC)


I would drop the WANT_ variant; there's no reason to keep it when we
have the option.
You could bail out with an explicative message like "please run `make
config` if you want static" .ifdef WANT_STATIC

-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

Ferengi Rule of Acquisition #31:
	 Never make fun of a Ferengi's mother.1
		-- ST:DS9, "The Siege"

Comment 3 Alex Kozlov 2007-02-05 15:35:07 UTC
n Mon, Feb 05, 2007 at 00:13:00PM +0200, Ion-Mihai IOnut Tetcu wrote:
> On Mon, 5 Feb 2007 04:39:15 GMT
> Alex Kozlov<spam@rm-rf.kiev.ua> wrote:
> 
> > -.if defined(WANT_STATIC)
> > +OPTIONS=       STATIC  "Build statically"      off \
> > +
> > +.include <bsd.port.pre.mk>
> > +
> > +.if defined(WANT_STATIC) || defined(WITH_STATIC)
> 
> I would drop the WANT_ variant; there's no reason to keep it when we
> have the option.
> You could bail out with an explicative message like "please run `make
> config` if you want static" .ifdef WANT_STATIC
Some people still may have something like:
.if ${.CURDIR:N*/ports/security/dropbear} == ""
WANT_STATIC?=yes
.endif
in their /etc/make.conf  I do not want to break anything.
But warning will be nice idea.


--
Adios
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2007-02-05 16:55:53 UTC
On Mon, 5 Feb 2007 17:35:07 +0200
Alex Kozlov <spam@rm-rf.kiev.ua> wrote:

> n Mon, Feb 05, 2007 at 00:13:00PM +0200, Ion-Mihai IOnut Tetcu wrote:
> > On Mon, 5 Feb 2007 04:39:15 GMT
> > Alex Kozlov<spam@rm-rf.kiev.ua> wrote:
> > 
> > > -.if defined(WANT_STATIC)
> > > +OPTIONS=       STATIC  "Build statically"      off \
> > > +
> > > +.include <bsd.port.pre.mk>
> > > +
> > > +.if defined(WANT_STATIC) || defined(WITH_STATIC)
> > 
> > I would drop the WANT_ variant; there's no reason to keep it when we
> > have the option.
> > You could bail out with an explicative message like "please run
> > `make config` if you want static" .ifdef WANT_STATIC
> Some people still may have something like:
> .if ${.CURDIR:N*/ports/security/dropbear} == ""
> WANT_STATIC?=yes
> .endif
> in their /etc/make.conf  I do not want to break anything.
> But warning will be nice idea.

OK, and then remove it on the next update.
Comment 5 Alex Kozlov 2007-02-05 21:41:23 UTC
Hi

--- security/dropbear/Makefile  Fri Nov  3 16:55:56 2006
+++ Makefile.new    Mon Feb  5 20:29:06 2007
@@ -16,7 +16,11 @@
 GNU_CONFIGURE= YES
 USE_GMAKE= YES

-.if defined(WANT_STATIC)
+OPTIONS=   STATIC  "Build statically"  off \
+
+.include <bsd.port.pre.mk>
+
+.if defined(WANT_STATIC) || defined(WITH_STATIC)
 CONFIGURE_ENV= LDFLAGS=-static
 .endif

@@ -32,13 +36,17 @@
 post-install:
    @${MKDIR} ${PREFIX}/etc/dropbear
    @${ECHO_MSG} ""
+.if defined(WANT_STATIC)
+   @${ECHO_MSG} " WARNING: deprecated option WANT_STATIC used, use 'make config' instead"
+   @${ECHO_MSG} ""
+.endif
    @${INSTALL_SCRIPT} ${WRKSRC}/dropbear.sh ${PREFIX}/etc/rc.d/dropbear.sh.sample
    @${ECHO_MSG} " Now you have to create your SSH host key."
    @${ECHO_MSG} ""
    @${ECHO_MSG} " To create RSA key:"
-   @${ECHO_MSG} " ${PREFIX}/sbin/dropbearkey -t rsa -f ${PREFIX}/etc/dropbear/dropbear_rsa_host_key
+   @${ECHO_MSG} " ${PREFIX}/bin/dropbearkey -t rsa -f ${PREFIX}/etc/dropbear/dropbear_rsa_host_key"
    @${ECHO_MSG} ""
-   @${ECHO_MSG} " For more details, run ${PREFIX}/sbin/dropbearkey -h"
+   @${ECHO_MSG} " For more details, run ${PREFIX}/bin/dropbearkey -h"
    @${ECHO_MSG} ""

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>


--
Adios
Comment 6 dfilter service freebsd_committer 2007-03-18 17:51:25 UTC
clement     2007-03-18 17:51:19 UTC

  FreeBSD ports repository

  Modified files:
    security/dropbear    Makefile distinfo 
  Log:
  - Update to 0.49
  - OPTIONify
  - Fix some documentation
  - drop maintainership
  
  PR:             ports/108785
  Submitted by:   Alex Kozlov<spam@rm-rf.kiev.ua>
  
  Revision  Changes    Path
  1.16      +14 -6     ports/security/dropbear/Makefile
  1.13      +3 -3      ports/security/dropbear/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Clement Laforet freebsd_committer 2007-03-18 17:53:04 UTC
State Changed
From-To: open->closed

Committed, thanks! 
FYI, I've just dropped maintainership. If you wish to grab it 
feel free to ping me.